Skip to content

Profiles

A profile is one brand or end customer. Social accounts are connected to a profile.

GET/v1/profiles

Response 200

data []
  • idstringrequired
  • namestringrequired
  • timezonestring
  • externalIdstring
  • createdAtstring (date-time)required
  • updatedAtstring (date-time)required
Ventana de terminal
curl "https://api.usecrier.com/v1/profiles" \
-H "Authorization: Bearer $CRIER_API_KEY"
POST/v1/profiles

Body

  • namestringrequired

    Brand or end-customer name.

    max 100

  • timezonestring

    IANA timezone, e.g. Europe/Madrid. Used by the queue.

    max 64

  • externalIdstring

    Your own id for this customer, returned as is.

    max 200

Response 201

data
  • idstringrequired
  • namestringrequired
  • timezonestring
  • externalIdstring
  • createdAtstring (date-time)required
  • updatedAtstring (date-time)required
Ventana de terminal
curl -X POST "https://api.usecrier.com/v1/profiles" \
-H "Authorization: Bearer $CRIER_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Acme",
"timezone": "Europe/Madrid",
"externalId": "customer-42"
}'
GET/v1/profiles/{id}

Parameters

  • idstringrequired

Response 200

data
  • idstringrequired
  • namestringrequired
  • timezonestring
  • externalIdstring
  • createdAtstring (date-time)required
  • updatedAtstring (date-time)required
Ventana de terminal
curl "https://api.usecrier.com/v1/profiles/prf_8f2k4d" \
-H "Authorization: Bearer $CRIER_API_KEY"
PATCH/v1/profiles/{id}

Parameters

  • idstringrequired

Body

  • namestring

    Brand or end-customer name.

    max 100

  • timezonestring

    IANA timezone, e.g. Europe/Madrid. Used by the queue.

    max 64

  • externalIdstring

    Your own id for this customer, returned as is.

    max 200

Response 200

data
  • idstringrequired
  • namestringrequired
  • timezonestring
  • externalIdstring
  • createdAtstring (date-time)required
  • updatedAtstring (date-time)required
Ventana de terminal
curl -X PATCH "https://api.usecrier.com/v1/profiles/prf_8f2k4d" \
-H "Authorization: Bearer $CRIER_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Acme Spain"
}'
DELETE/v1/profiles/{id}

Also disconnects its accounts.

Parameters

  • idstringrequired

Response 204

No content

Ventana de terminal
curl -X DELETE "https://api.usecrier.com/v1/profiles/prf_8f2k4d" \
-H "Authorization: Bearer $CRIER_API_KEY"

© 2026 Crier by TWOFACES ·usecrier.com ·Dashboard ·soporte@twofacesco.com